// vim: set tw=80 ts=2 sw=2 sts=2 :

import { Component, Input } from '@angular/core';
import { NgForm } from '@angular/forms';

import { Login } from './login';

@Component({
  selector: 'form[login-form]',
  template: `
<div class="form-group">
  <label for="email" class="col-sm-4 control-label">Adresse email</label>

  <div class="col-sm-8">
    <input type="text" class="form-control" id="email"
      [(ngModel)]="login.email" placeholder="Nom d'utilisateur">
  </div>
</div>

<div class="form-group">
  <label for="password" class="col-sm-4 control-label">Mot de passe</label>

  <div class="col-sm-8">
    <input type="password" class="form-control" id="password"
      [(ngModel)]="login.password" placeholder="Mot de passe">
  </div>
</div>
  `
})

export class LoginForm {
  @Input('login-form') private login: Login
}
